Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.builder
Class BuildResultsSummaryRenderer

    java.lang.Object
      com.atlassian.bamboo.builder.BuildResultsSummaryRenderer

    public class BuildResultsSummaryRenderer

extends Object

This class provides common Build Result rendering behaviour.

Constructor Summary
`BuildResultsSummaryRenderer(BuildResultsSummary buildResultsSummary, VelocityEngine templateEngine)`

Method Summary
`String` | `getBuildUrl()` Get the bamboo webapp url that will display this build
`String` | `getOneLineSummary()` Pretty printed one line summary of the build.
`String` | `getResultsAsHtml()` Format the build results as HTML - using a velocity template to specify the layout of the html

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildResultsSummaryRenderer

    public BuildResultsSummaryRenderer(BuildResultsSummary buildResultsSummary,
                                       VelocityEngine templateEngine)

Method Detail

### getOneLineSummary

    public String getOneLineSummary()

  Pretty printed one line summary of the build. This is used in rss feeds, email notifiers, etc.

  Returns:
    The resulting one liner

### getBuildUrl

    public String getBuildUrl()

  Get the bamboo webapp url that will display this build

  Returns:
    The url for the bamboo action that will display this build

### getResultsAsHtml

    public String getResultsAsHtml()

  Format the build results as HTML - using a velocity template to specify the layout of the html

  Returns:
    The html code

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.